[已解决]安装 gnome3 之前,无法update

重复贴和参考价值不大的帖子,版主维护
回复
wgf4242
帖子: 513
注册时间: 2009-11-30 7:46
送出感谢: 0
接收感谢: 0

[已解决]安装 gnome3 之前,无法update

#1

帖子 wgf4242 » 2011-05-09 21:00

代码: 全选

/etc/apt$ sudo apt-get dist-upgrade
Reading package lists... Error!
E: Encountered a section with no Package: header
E: Problem with MergeList /var/lib/apt/lists/mirror.rootguide.org_ubuntu_dists_natty_main_binary-i386_Packages
E: The package lists or status file could not be parsed or opened.
[已解决] 源不好。。鉴定完毕。。
上次由 wgf4242 在 2011-05-09 21:22,总共编辑 1 次。
头像
tenzu
论坛版主
帖子: 36913
注册时间: 2008-11-21 20:26
送出感谢: 0
接收感谢: 21 次

Re: [求助]安装 gnome3 之前,无法update

#2

帖子 tenzu » 2011-05-09 21:06

删了/var/lib/apt/lists/mirror.rootguide.org_ubuntu_dists_natty_main_binary-i386_Packages试试
删除前备份
wgf4242
帖子: 513
注册时间: 2009-11-30 7:46
送出感谢: 0
接收感谢: 0

Re: [求助]安装 gnome3 之前,无法update

#3

帖子 wgf4242 » 2011-05-09 21:08

代码: 全选

$sudo apt-get update
...
...
...
99% [53 Translation-en_US lzma 0 B] [Waiting for headers]/usr/bin/lzma: Decoder error
99% [54 Translation-en lzma 0 B] [Waiting for headers]/usr/bin/lzma: Decoder error
99% [55 Translation-en_US lzma 0 B] [Waiting for headers]/usr/bin/lzma: Decoder error
99% [56 Translation-en lzma 0 B] [Waiting for headers]/usr/bin/lzma: Decoder error
99% [57 Translation-en_US lzma 0 B] [Waiting for headers]/usr/bin/lzma: Decoder error
99% [58 Translation-en lzma 0 B] [Waiting for headers]/usr/bin/lzma: Decoder error
最后全是错误
回复

回到 “归档贴”